%define version 4.0.0
%define rev     754574
%define rel 	1
%define release %mkrel 1
%define oname kaider

%define unstable 0
%{?_with_unstable: %global unstable 1}

%if %unstable
%define dont_strip 1
%endif

Summary:	KAider is a computer-aided translation system that focuses on productivity and performance
Name:		kaider
Version:	%{version}
Release:	%{release}
License:	GPLv2+
URL:		http://techbase.kde.org/index.php?title=Projects/Summer_of_Code/2007/Projects/KAider
Group:		Graphical desktop/KDE
Source0:	%{name}-%version.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdelibs4-devel
Requires:	gettext >= 0.14.1

%description
KAider is a computer-aided translation system that focuses on
productivity and performance. Translator does only creative work
(of delivering message in his/her mother language in laconic and
easy to understand form). KAider implies parapgraph-by-paragrah
translation approach (when translating documentation) and
message-by-message approach (when translating GUI).

%post
%{update_desktop_database}
%update_icon_cache hicolor
%update_icon_cache locolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor
%clean_icon_cache locolor

%files
%defattr(-,root,root)
%doc DESIGN TODO
%{_kde_bindir}/%{name}
%{_kde_libdir}/strigi/strigila_po.so
%{_kde_datadir}/applications/kde4/kaider.desktop
%{_kde_datadir}/apps/%{name}
%{_kde_datadir}/config.kcfg/kaider.kcfg
%{_kde_iconsdir}/*/*/*/*
%{_kde_datadir}/strigi/fieldproperties/strigi_translation.fieldproperties
%{_kde_datadir}/locale/*/*/*.mo

%dir %_kde_docdir/HTML/en/kaider
%doc %_kde_docdir/HTML/en/kaider/index.cache.bz2
%doc %_kde_docdir/HTML/en/kaider/index.docbook

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-%version

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
cd build
%{makeinstall_std}

cd -

%clean
rm -rf %buildroot


%changelog
* Thu Jan 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0.0-1mdv2008.0
+ Revision: 157344
- Update to 4.0.0 version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Funda Wang <fundawang@mandriva.org>
    - fix URL

* Sun Dec 30 2007 Funda Wang <fundawang@mandriva.org> 0.1-0.svn754574.1mdv2008.1
+ Revision: 139513
- New svn snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1-0.svn743787.1mdv2008.1
+ Revision: 114355
- New snapshot

  + Funda Wang <fundawang@mandriva.org>
    - Fix building
    - drop desktop-file-utils BR
    - New svn snapshot

* Sun Nov 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1-0.svn735036.2mdv2008.1
+ Revision: 109911
- Rebuild against new KDE4

* Sat Nov 10 2007 Funda Wang <fundawang@mandriva.org> 0.1-0.svn735036.1mdv2008.1
+ Revision: 107448
- First package
- Created package structure for kaider.

